// Smooth scroll for anchor links
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});

// Add subtle animations
const posts = document.querySelectorAll('.post');
posts.forEach((post, index) => {
  post.style.opacity = '0';
  post.style.transform = 'translateY(20px)';
  post.style.transition = `opacity 0.6s ease ${index * 0.2}s, transform 0.6s ease ${index * 0.2}s`;
  
  setTimeout(() => {
    post.style.opacity = '1';
    post.style.transform = 'translateY(0)';
  }, 100);
});